# buffer.h File Reference

`#include <glibmm.h>`
`#include <gst/gstbuffer.h>`
`#include <gstreamermm/miniobject.h>`
`#include <gstreamermm/wrap.h>`
`#include <gstreamermm/caps.h>`

Go to the source code of this file.

## Classes

class | Gst::Buffer
| Gst::Buffer - Data-passing buffer type, supporting sub-buffers. More...

## Namespaces

namespace | Gst

## Enumerations

enum

Gst::BufferFlag {
Gst::BUFFER_FLAG_READONLY = GST_MINI_OBJECT_FLAG_READONLY,
Gst::BUFFER_FLAG_PREROLL = GST_MINI_OBJECT_FLAG_LAST << 0,
Gst::BUFFER_FLAG_DISCONT = GST_MINI_OBJECT_FLAG_LAST << 1,
Gst::BUFFER_FLAG_IN_CAPS = GST_MINI_OBJECT_FLAG_LAST << 2,
Gst::BUFFER_FLAG_GAP = GST_MINI_OBJECT_FLAG_LAST << 3,
Gst::BUFFER_FLAG_DELTA_UNIT = GST_MINI_OBJECT_FLAG_LAST << 4,
Gst::BUFFER_FLAG_MEDIA1 = GST_MINI_OBJECT_FLAG_LAST << 5,
Gst::BUFFER_FLAG_MEDIA2 = GST_MINI_OBJECT_FLAG_LAST << 6,
Gst::BUFFER_FLAG_MEDIA3 = GST_MINI_OBJECT_FLAG_LAST << 7,
Gst::BUFFER_FLAG_LAST = GST_MINI_OBJECT_FLAG_LAST << 8
}

enum | Gst::BufferCopyFlags { Gst::BUFFER_COPY_FLAGS = 1 << 0, Gst::BUFFER_COPY_TIMESTAMPS = 1 << 1, Gst::BUFFER_COPY_CAPS = 1 << 2 }

## Functions

BufferCopyFlags | Gst::operator| (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator& (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator^ (BufferCopyFlags lhs, BufferCopyFlags rhs)
BufferCopyFlags | Gst::operator~ (BufferCopyFlags flags)
BufferCopyFlags& | Gst::operator|= (BufferCopyFlags& lhs, BufferCopyFlags rhs)
BufferCopyFlags& | Gst::operator&= (BufferCopyFlags& lhs, BufferCopyFlags rhs)
BufferCopyFlags& | Gst::operator^= (BufferCopyFlags& lhs, BufferCopyFlags rhs)